Package org.codehaus.groovy.tools.javac

# Class JavacCompilerFactory

java.lang.Object
org.codehaus.groovy.tools.javac.JavacCompilerFactory

All Implemented Interfaces:
  `JavaCompilerFactory`

public class JavacCompilerFactory extends Object implements JavaCompilerFactory

## Constructor Summary

Constructors
Constructor
Description
`JavacCompilerFactory()`

## Method Summary

Modifier and Type
Method
Description
`JavaCompiler`
`createCompiler(CompilerConfiguration config)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### JavacCompilerFactory

public JavacCompilerFactory()

## Method Details

### createCompiler

public JavaCompiler createCompiler(CompilerConfiguration config)

Specified by:
  `createCompiler` in interface `JavaCompilerFactory`